Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.commons.math3.ode.sampling
Enum StepNormalizerMode

    java.lang.Object
      java.lang.Enum<StepNormalizerMode>
          org.apache.commons.math3.ode.sampling.StepNormalizerMode

All Implemented Interfaces:
  Serializable, Comparable<StepNormalizerMode>

    public enum StepNormalizerMode

extends Enum<StepNormalizerMode>

`Step normalizer` modes. Determines how the step size is interpreted.

Since:
  3.0
Version:
  $Id: StepNormalizerMode.java 1416643 2012-12-03 19:37:14Z tn $
See Also:
  `StepNormalizer`, `StepNormalizerBounds`

Enum Constant Summary
`INCREMENT` Steps are fixed increments of the start value.
`MULTIPLES` Steps are multiples of a fixed value.

Method Summary
`static StepNormalizerMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StepNormalizerMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INCREMENT

    public static final StepNormalizerMode INCREMENT

  Steps are fixed increments of the start value. In other words, they are relative to the start value.

  If the integration start time is t0, then the points handled by the underlying fixed step size step handler are t0 (depending on the `bounds settings`), t0+h, t0+2h, ...

  If the integration range is an integer multiple of the step size (h), then the last point handled will be the end point of the integration (tend). If not, the last point may be the end point tend, or it may be a point belonging to the interval [tend - h ; tend], depending on the `bounds settings`.

  See Also:
    `StepNormalizer`, `StepNormalizerBounds`

### MULTIPLES

    public static final StepNormalizerMode MULTIPLES

  Steps are multiples of a fixed value. In other words, they are relative to the first multiple of the step size that is encountered after the start value.

  If the integration start time is t0, and the first multiple of the fixed step size that is encountered is t1, then the points handled by the underlying fixed step size step handler are t0 (depending on the `bounds settings`), t1, t1+h, t1+2h, ...

  If the end point of the integration range (tend) is an integer multiple of the step size (h) added to t1, then the last point handled will be the end point of the integration (tend). If not, the last point may be the end point tend, or it may be a point belonging to the interval [tend - h ; tend], depending on the `bounds settings`.

  See Also:
    `StepNormalizer`, `StepNormalizerBounds`

Method Detail

### values

    public static StepNormalizerMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StepNormalizerMode c : StepNormalizerMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StepNormalizerMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.